/*
 *  This file is part of the KDE System Control Tool,
 *  Copyright (C)1999 Thorsten Westheider <twesthei@physik.uni-bielefeld.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/

#include "iobaseconf.h"


IOBaseConfig::IOBaseConfig(uint fromport, uint toport, 
			   uint align, uint size, int index) : _fromport(fromport),
					 	               _toport(toport),
						               _align(align),
						               _size(size),
                                                               _index(index)
{

}


/*
 * Public methods
 *****************/
 
IOAddress  *IOBaseConfig::firstPort()
{
  _portaddr = _fromport;  
  return port();
}


IOAddress  *IOBaseConfig::nextPort()
{
  _portaddr += _align+1;
  
  if (_portaddr <= _toport) return port();
  else                      return 0L;
}


/*
 * Private methods
 ******************/
 
IOAddress  *IOBaseConfig::port()
{
  return new IOAddress(_portaddr, _size, _index);
}



